from machine import Pin, ADC
from time import sleep_ms
import time
import math
pinAnalogic = ADC(Pin(36)) # Emprarem ADC "analog to digital conversion" al pin 36
pinAnalogic.atten(ADC.ATTN_11DB)  # Voltatge max: 3.3v llavors eixida sera 4095
i=1 # valor inicial de i
t1_start= 0
t1_stop = 0
activasegonif=0
while i>0: # Bucle infinit   
      valorAnalogicLlegit = pinAnalogic.read() # llegim pinAnalogic.read() i ho guardem en la variable valorAnalogicLlegit    
      print("iteracio=", i) # Missatge amb la iteracio num = i  
      print("ValorAnalogicLlegit=",valorAnalogicLlegit) # Imprimim el valor de la variable    
      print("   ") # Linia en blanc
      if (valorAnalogicLlegit < 150 and activasegonif == 0):
          print("El feix de llum esta tallat")
          t1_start = time.ticks_ms() # activa el comptador de temps
          activasegonif = 1
          print("Espera uns pocs segons i trau l'obstacle")
      if (valorAnalogicLlegit > 150 and activasegonif == 1):
          t1_stop = time.ticks_ms() # activa el comptador final
          delta = time.ticks_diff(t1_stop, t1_start)
          print(" El feix ha estat tallat = ",delta, " milisegons")
          print("   ") # Linia en blanc
          i=-1 # Aturem el programa
      if (valorAnalogicLlegit > 150 and activasegonif==0):
          print("La llum passa del IR al Fototransistor")
          print("   ") # Linia en blanc
          sleep_ms(1000) # Parem el temps
      sleep_ms(1000)    
      i+=1 # i=i+1 Augmentem el valor de i amb 1 unitat
      
      
